Bug 860257 - [RHEV-RHS] Adding gluster volume as a storage domain fails when storage.linux-aio is enabled
[RHEV-RHS] Adding gluster volume as a storage domain fails when storage.linux...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vijay Bellur
Anush Shetty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 08:16 EDT by Anush Shetty
Modified: 2015-08-10 15:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.3.0rhsvirt1-7.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-09-25 08:16:30 EDT
Description of problem: Enabling storage.linux-aio prevents adding of gluster volume as storage domain in RHEV-M. This option was enabled from group file. 

After disabling storage.linux-aio using volume set command, adding storage domain succeeded.


Version-Release number of selected component (if applicable):

rhev-hypervisor6-6.3-20120920.0.rhev31.auto33.el6.iso

# rpm -qa | grep rhevm
rhevm-webadmin-portal-3.1.0-16.el6ev.noarch

# rpm -qa | grep glusterfs
glusterfs-server-3.3.0rhsvirt1-5.el6rhs.x86_64
glusterfs-geo-replication-3.3.0rhsvirt1-5.el6rhs.x86_64
glusterfs-fuse-3.3.0rhsvirt1-5.el6rhs.x86_64
glusterfs-rdma-3.3.0rhsvirt1-5.el6rhs.x86_64
glusterfs-3.3.0rhsvirt1-5.el6rhs.x86_64



How reproducible: Consistently


Steps to Reproduce:
1. Create a gluster volume 
2. Set volume options from group virt file
3. Add gluster volume as a storage domain from RHEV-M
  
Actual results:

Adding storage domain errors out.

Expected results:

Shouldn't error out.

Additional info:

# cat /var/lib/glusterd/groups/virt 
cluster.eager-lock=enable
storage.linux-aio=enable
performance.read-ahead=disable
performance.stat-prefetch=disable
performance.io-cache=disable
performance.quick-read=disable
Comment 2 Amar Tumballi 2012-10-01 12:28:37 EDT
most probably should be fixed by http://review.gluster.org/4006
Comment 4 Anush Shetty 2012-10-19 12:55:13 EDT
Verified with glusterfs-3.3.0rhsvirt1-7.el6rhs.x86_64

Note You need to log in before you can comment on or make changes to this bug.